### Method

# Gtk ColumnViewColumnset_sorter

#### Declaration [src]

    void
    gtk_column_view_column_set_sorter (
      GtkColumnViewColumn* self,
      GtkSorter* sorter
    )

#### Description [src]

Associates a sorter with the column.

If `sorter` is `NULL`, the column will not let users change the sorting by clicking on its header.

This sorter can be made active by clicking on the column header, or by calling `gtk_column_view_sort_by_column()`.

See `gtk_column_view_get_sorter()` for the necessary steps for setting up customizable sorting for `GtkColumnView`.

Sets property | `Gtk.ColumnViewColumn:sorter`

#### Parameters

`sorter`

  Type: `GtkSorter`

  The `GtkSorter` to associate with `column`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.